package xyz.tbvns.mcreflect.client.keybindings;

import net.minecraft.client.option.KeyBinding;
import org.reflections.Reflections;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

public class ReflectKeybindingsManager {
    public static final List<KeyBinding> registeredKeybindings = new ArrayList<>();

    public void addClasspath(String classpath) {
        Reflections reflections = new Reflections("xyz.tbvns.rogue_block.Upgrades.RegisteredUpgrades");

        Set<Class<? extends ReflectionKeybinding>> passiveUpgrade = reflections.getSubTypesOf(ReflectionKeybinding.class);
        for (Class<? extends ReflectionKeybinding> element : passiveUpgrade) {
            try {
                ReflectionKeybinding reflectionKeybinding = element.getDeclaredConstructor().newInstance();
                reflectionKeybinding.register();
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
        }
    }
}
